Apis::V4::UnreadItem API

delete all unread by organization

Deleting unread_items will mark the current user's items as being read. It's similar to a soft-delete.

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header)
organization_id The organization for which the items should be deleted.

Request

Headers

Version: HTTP/1.0
Accept: application/vnd.api+json
Content-Type: application/vnd.api+json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo1NiwiZXhwIjoxNzk0NTQwMjA1LCJpYXQiOjE3OTQ1NDAwMjV9.SYjJ5k8DLYnoEY7q-J1FV9EEH83v8Pq_6P4onA8kZmE
Host: example.org
Cookie: 

Route

DELETE /apis/v4/unread_items?organization_id=53

Query Parameters

organization_id=53

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo1NiwiZXhwIjoxNzk0NzEyODI2LCJpYXQiOjE3OTQ1NDAwMjZ9.WNaHJar4bnBdj85dIBspaYBx4IhOV_fg5duYYvj_gik
Access-Control-Expose-Headers: X-MH-Session
Cache-Control: no-cache
X-Request-Id: 790d059f-21e2-420c-bcf1-6745ffb5a5e8
X-Runtime: 0.026611

Status

204